Compatibility Puntuado con 3 de 5 estrellas

A great add-on.but update it please.
Need compatibility with Firefox 3.6.

Esta valoración es de una versión anterior del complemento (20100121).